Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.impl.render.dynamic
Class DynaDecorationRenderer

    java.lang.Object
      org.jboss.portal.theme.render.AbstractObjectRenderer
          org.jboss.portal.theme.impl.render.dynamic.DynaDecorationRenderer

All Implemented Interfaces:
  ObjectRenderer, DecorationRenderer

    public class DynaDecorationRenderer

extends AbstractObjectRenderer
implements DecorationRenderer

Implementation of a drag and drop decoration renderer.

Version:
  $LastChangedRevision: 9524 $, $LastChangedDate: 2008-01-17 03:12:48 +0100 (Thu, 17 Jan 2008) $
Author:
  Tomasz Szymanski, Roy Russo
See Also:
  `DecorationRenderer`

Constructor Summary
`DynaDecorationRenderer(DecorationRenderer decorationRenderer)`

Method Summary
`void` | `render(RendererContext rendererContext, DecorationRendererContext drc)` Create the markup for the portlet decoration

Methods inherited from class org.jboss.portal.theme.render.AbstractObjectRenderer
`endContext, startContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.theme.render.ObjectRenderer
`endContext, startContext`

Constructor Detail

### DynaDecorationRenderer

    public DynaDecorationRenderer(DecorationRenderer decorationRenderer)

Method Detail

### render

    public void render(RendererContext rendererContext,
                       DecorationRendererContext drc)
                throws RenderException

  Description copied from interface: `DecorationRenderer`
  Create the markup for the portlet decoration

  Specified by:
    `render` in interface `DecorationRenderer`
  Parameters:
    `rendererContext` - the state holder to provide information about the region, it's portlets, and the render set, which allows access to the other renderer interfaces of the render set.
  Throws:
    `RenderException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD